<html>
    <head>
        <title>freesmartphone.org Framework DBus Interface Specification</title>
        <BASE href="http://docs.freesmartphone.org">
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
        <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>
        <p>The <a href="http://www.freesmartphone.org">freesmartphone.org</a> development platform includes a number of low level and high level services which are accessible via the <a href="http://dbus.freedesktop.org">DBus</a> IPC system. This page links to reference works which can be used when programming for devices running the freesmartphone.org development platform. This reference is primarily intended for software developers. You may want to try out a few DBus Tutorials before diving into these documents.</p>
        <hr/>
        <h2 align="center">Table of Contents &#8212; FSO Framework Version 2012.06.14.1</h2>
        <hr/>
        <h1>0. Introduction</h1>
        <ul>
          <li>... to be written ...</li>
          <!--
          <li><a href="org.freesmartphone.docs.platform.html">Freesmartphone.org Development Platform</a> &#8212; A brief Introduction [to be done]</li>
          <li><a href="org.freesmartphone.docs.components.html">Freesmartphone.org Development Platform</a> &#8212; The components [to be done]</li>
          <li><a href="org.freesmartphone.docs.components.html">Freesmartphone.org Development Platform</a> &#8212; The components</li> -->
        </ul>

        <h1>1. Generic API <small><tt>org.freesmartphone</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Error.html">org.freesmartphone.Error</a> &#8212; Common Error Domain</li>
              <li><a href="org.freesmartphone.Info.html">org.freesmartphone.Info</a> &#8212; Generic Informational Facilities</li>
            </ul>

        <h1>2. Device API <small><tt>org.freesmartphone.Device</tt></small></h1>
          <p><em>Note: This is a lowlevel API. Consider using the high level APIs instead.</em></p>
            <ul>
              <li><a href="org.freesmartphone.Device.AmbientLight.html">org.freesmartphone.Device.AmbientLight</a> &#8212; Ambient Light Sensor Access</li>
              <li><a href="org.freesmartphone.Device.Audio.html">org.freesmartphone.Device.Audio</a> &#8212; Audio Device Access</li>
              <li><a href="org.freesmartphone.Device.Display.html">org.freesmartphone.Device.Display</a> &#8212; Display Device Access</li>
              <li><a href="org.freesmartphone.Device.LED.html">org.freesmartphone.Device.LED</a> &#8212; LED Device Access</li>
              <li><a href="org.freesmartphone.Device.Info.html">org.freesmartphone.Device.Info</a> &#8212; Info Access</li>
              <li><a href="org.freesmartphone.Device.Input.html">org.freesmartphone.Device.Input</a> &#8212; Input Device Access</li>
              <li><a href="org.freesmartphone.Device.IdleNotifier.html">org.freesmartphone.Device.IdleNotifier</a> &#8212; Idle Notification Service</li>
              <li><a href="org.freesmartphone.Device.Orientation.html">org.freesmartphone.Device.Orientation</a> &#8212; Physical Orientation Information</li>
              <li><a href="org.freesmartphone.Device.PowerControl.html">org.freesmartphone.Device.PowerControl</a> &#8212; Device Power Control</li>
              <li><a href="org.freesmartphone.Device.PowerSupply.html">org.freesmartphone.Device.PowerSupply</a> &#8212; Power Supply Access</li>
              <li><a href="org.freesmartphone.Device.Proximity.html">org.freesmartphone.Device.Proximity</a> &#8212; Proximity Sensor Access</li>
              <li><a href="org.freesmartphone.Device.RealtimeClock.html">org.freesmartphone.Device.RealtimeClock</a> &#8212; Realtime Clock</li>
              <li><a href="org.freesmartphone.Device.Vibrator.html">org.freesmartphone.Device.Vibrator</a> &#8212; Vibrator Access</li>
            </ul>
        <h1>3. Telephony API <small><tt>org.freesmartphone.GSM</tt></small></h1>
          <!-- <p><em>Note: This is a lowlevel API. Consider using the high level APIs instead.</em></p> -->
            <ul>
              <li><a href="org.freesmartphone.GSM.Error.html">org.freesmartphone.GSM.Error</a> &#8212; GSM Error Domain</li>
              <li><a href="org.freesmartphone.GSM.MUX.html">org.freesmartphone.GSM.MUX</a> &#8212; GSM 07.10 Multiplexing</li>
              <li><a href="org.freesmartphone.GSM.Device.html">org.freesmartphone.GSM.Device</a> &#8212; Device Inquiry</li>
              <li><a href="org.freesmartphone.GSM.SIM.html">org.freesmartphone.GSM.SIM</a> &#8212; SIM Card Access</li>
              <li><a href="org.freesmartphone.GSM.Network.html">org.freesmartphone.GSM.Network</a> &#8212; GSM Network Access</li>
              <li><a href="org.freesmartphone.GSM.Call.html">org.freesmartphone.GSM.Call</a> &#8212; GSM Voice and Data Calls</li>
              <li><a href="org.freesmartphone.GSM.CallForwarding.html">org.freesmartphone.GSM.CallForwarding</a> &#8212; GSM Call Forwarding</li>
              <li><a href="org.freesmartphone.GSM.SMS.html">org.freesmartphone.GSM.SMS</a> &#8212; Short Message Service</li>
              <li><a href="org.freesmartphone.GSM.PDP.html">org.freesmartphone.GSM.PDP</a> &#8212; Packet Data Protocol Connections</li>
              <li><a href="org.freesmartphone.GSM.CB.html">org.freesmartphone.GSM.CB</a> &#8212; Cell Broadcast Service</li>
              <li><a href="org.freesmartphone.GSM.Monitor.html">org.freesmartphone.GSM.Monitor</a> &#8212; GSM Network Monitoring</li>
              <li><a href="org.freesmartphone.GSM.HZ.html">org.freesmartphone.GSM.HZ</a> &#8212; O2/Genion HomeZone Service</li>
              <li><a href="org.freesmartphone.GSM.VoiceMail.html">org.freesmartphone.GSM.VoiceMail</a> &#8212; VoiceMail Service</li>
        </ul>
        <h1>4. Usage API <small><tt>org.freesmartphone.Usage</tt></small></h1>
            <p>
              <ul>
                <li><a href="usage-intro.html">Introduction<a></li>
              </ul>
            </p>

            <ul>
              <li><a href="org.freesmartphone.Usage.html">org.freesmartphone.Usage</a> &#8212; Resource Manager Service</li>
              <li><a href="org.freesmartphone.Resource.html">org.freesmartphone.Resource</a> &#8212; Resource Control Interface</li>
            </ul>
        <h1>5. Audio Manager API <small><tt>org.freesmartphone.Audio.Manager</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Audio.Manager.html">org.freesmartphone.Audio.Manager</a></li>
            </ul>
        <h1>6. Preferences API <small><tt>org.freesmartphone.Preferences</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Preferences.html">org.freesmartphone.Preferences</a></li>
              <li><a href="org.freesmartphone.Preferences.Service.html">org.freesmartphone.Preferences.Service</a></li>
            </ul>
        <h1>7. Events API <small><tt>org.freesmartphone.Events</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Events.html">org.freesmartphone.Events</a></li>
            </ul>
        <h1>8. GPS API <small><tt>org.freedesktop.Gypsy</tt></small></h1>
            <ul>
              <li><a href="org.freedesktop.Gypsy.Accuracy.html">org.freedesktop.Gypsy.Accuracy</a></li>
              <li><a href="org.freedesktop.Gypsy.Course.html">org.freedesktop.Gypsy.Course</a></li>
              <li><a href="org.freedesktop.Gypsy.Device.html">org.freedesktop.Gypsy.Device</a></li>
              <li><a href="org.freedesktop.Gypsy.Position.html">org.freedesktop.Gypsy.Position</a></li>
              <li><a href="org.freedesktop.Gypsy.Time.html">org.freedesktop.Gypsy.Time</a></li>
            </ul>
        <h1>9. Time API <small><tt>org.freesmartphone.Time</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Time.Alarm.html">org.freesmartphone.Time.Alarm</a></li>
            </ul>
        <h1>10. Network API <small><tt>org.freesmartphone.Network</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Network.html">org.freesmartphone.Network</a></li>
            </ul>
        <h1>11. PIM API <small><tt>org.freesmartphone.PIM</tt></small></h1>
            <p>
            <ul>
              <li><a href="pim-intro.html">Introduction<a></li>
            </ul>
            </p>
            <p>Field types:
            <ul>
              <li><a href="org.freesmartphone.PIM.Fields.html">org.freesmartphone.PIM.Fields</a></li>
              <li><a href="org.freesmartphone.PIM.Types.html">org.freesmartphone.PIM.Types</a></li>
            </ul>
            </p>
            <p>Contacts:
            <ul>
              <li><a href="org.freesmartphone.PIM.Contact.html">org.freesmartphone.PIM.Contact</a></li>
              <li><a href="org.freesmartphone.PIM.Contacts.html">org.freesmartphone.PIM.Contacts</a></li>
              <li><a href="org.freesmartphone.PIM.ContactQuery.html">org.freesmartphone.PIM.ContactQuery</a></li>
            </ul>
            </p>
            <p>Calls:
            <ul>
              <li><a href="org.freesmartphone.PIM.Call.html">org.freesmartphone.PIM.Call</a></li>
              <li><a href="org.freesmartphone.PIM.Calls.html">org.freesmartphone.PIM.Calls</a></li>
              <li><a href="org.freesmartphone.PIM.CallQuery.html">org.freesmartphone.PIM.CallQuery</a></li>
            </ul>
            </p>
            <p>Messages:
            <ul>
              <li><a href="org.freesmartphone.PIM.Message.html">org.freesmartphone.PIM.Message</a></li>
              <li><a href="org.freesmartphone.PIM.MessageQuery.html">org.freesmartphone.PIM.MessageQuery</a></li>
              <li><a href="org.freesmartphone.PIM.Messages.html">org.freesmartphone.PIM.Messages</a></li>
            </ul>
            </p>
            <p>Notes:
            <ul>
              <li><a href="org.freesmartphone.PIM.Note.html">org.freesmartphone.PIM.Note</a></li>
              <li><a href="org.freesmartphone.PIM.Notes.html">org.freesmartphone.PIM.Notes</a></li>
              <li><a href="org.freesmartphone.PIM.NoteQuery.html">org.freesmartphone.PIM.NoteQuery</a></li>
            </ul>
            </p>
            <p>Tasks:
            <ul>
              <li><a href="org.freesmartphone.PIM.Task.html">org.freesmartphone.PIM.Task</a></li>
              <li><a href="org.freesmartphone.PIM.Tasks.html">org.freesmartphone.PIM.Tasks</a></li>
              <li><a href="org.freesmartphone.PIM.TaskQuery.html">org.freesmartphone.PIM.TaskQuery</a></li>
            </ul>
            </p>
            <p>Dates:
            <ul>
              <li><a href="org.freesmartphone.PIM.Date.html">org.freesmartphone.PIM.Date</a></li>
              <li><a href="org.freesmartphone.PIM.Dates.html">org.freesmartphone.PIM.Dates</a></li>
              <li><a href="org.freesmartphone.PIM.DateQuery.html">org.freesmartphone.PIM.DateQuery</a></li>
            </ul>
        <h1>12. Multimedia API</h1>
            <ul>
              <li><a href="org.freesmartphone.MusicPlayer.html">org.freesmartphone.MusicPlayer</a></li>
              <li><a href="org.freesmartphone.MusicPlayer.Playlist.html">org.freesmartphone.MusicPlayer.Playlist</a></li>
            </ul>
        <h1>13. Data API <small><tt>org.freesmartphone.Data</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Data.World.html">org.freesmartphone.Data.World</a> &#8212; Static World Data Service</li>
            </ul>
        <h1>14. Notification API <small><tt>org.freesmartphone.Notification</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Notification.html">org.freesmartphone.Notification</a> &#8212; Notification Callback Interface</li>
            </ul>
        <h1>15. Context API <small><tt>org.freesmartphone.Context</tt></small></h1>
            <ul>
              <li><a href="org.freesmartphone.Context.Manager.html">org.freesmartphone.Context.Manager</a> &#8212; Context Manager Interface</li>
              <li><a href="org.freesmartphone.Context.Client.html">org.freesmartphone.Context.Client</a> &#8212; Context Client Interface</li>
            </ul>
        <h1>Under development / Brainstorming</h1>
          <ul>
            <li>org.freesmartphone.Activity</li>
            <li>org.freesmartphone.Launcher</li>
            <li>org.freesmartphone.LifeCycle</li>
            <li>org.freesmartphone.Location</li>
          </li>
        </ul>
        <hr/>
        <small>
        | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team | Join us and discuss further drafts via smartphones-standards (at) linuxtogo (dot) org |
        </small>
        <hr/>
    </body>
</html>
